| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - m -

- M0APPMEMMAP : LPC_CREG_T
- M0TXEVENT : LPC_CREG_T
- M4TXEVENT : LPC_CREG_T
- MAC : IP_ENET_002_T
- MAC1 : IP_ENET_002_MAC_T
- MAC2 : IP_ENET_002_MAC_T
- MAC_ADDR0_HIGH : IP_ENET_001_T
- MAC_ADDR0_LOW : IP_ENET_001_T
- MAC_CONFIG : IP_ENET_001_T
- MAC_DEBUG : IP_ENET_001_T
- MAC_FLOW_CTRL : IP_ENET_001_T
- MAC_FRAME_FILTER : IP_ENET_001_T
- MAC_HASHTABLE_HIGH : IP_ENET_001_T
- MAC_HASHTABLE_LOW : IP_ENET_001_T
- MAC_INTR : IP_ENET_001_T
- MAC_INTR_MASK : IP_ENET_001_T
- MAC_MII_ADDR : IP_ENET_001_T
- MAC_MII_DATA : IP_ENET_001_T
- MAC_PMT_CTRL_STAT : IP_ENET_001_T
- MAC_RWAKE_FRFLT : IP_ENET_001_T
- MAC_TIMESTP_CTRL : IP_ENET_001_T
- MAC_VLAN_TAG : IP_ENET_001_T
- MADR : IP_ENET_002_MAC_T
- magic : DFU_FROMHOST_PACKETHDR_T
- MAINCLKSEL : LPC_SYSCTL_T
- MAINCLKUEN : LPC_SYSCTL_T
- major : FLASH_READ_BOOTCODE_VER_OUTPUT_T
- MarkerCode : K9F1G_ID_T
- MASK : IP_GPIO_002_T , IP_I2C_001_T , IP_RITIMER_001_T
- mask : CCAN_MSG_OBJ_T
- MASK : IP_CAN_001_AF_RAM_T , IP_GPIO_001_T
- MASK0 : IP_SDC_001_T
- MASK_A : IP_SGPIO_001_T
- MASK_H : IP_SGPIO_001_T
- MASK_I : IP_SGPIO_001_T
- MASK_P : IP_SGPIO_001_T
- MAT : IP_MCPWM_001_T
- MATCH : IP_SCT_001_T
- Match : OS_TMR
- MATCH_H : IP_SCT_001_T
- MATCH_L : IP_SCT_001_T
- MATCHREL : IP_SCT_001_T
- MATCHREL_H : IP_SCT_001_T
- MATCHREL_L : IP_SCT_001_T
- max_num_ep : USBD_API_INIT_PARAM_T
- max_reports : USBD_HID_INIT_PARAM_T
- MAXF : IP_ENET_002_MAC_T
- Maximum : HID_MinMax_t
- MaxPackageSize : st_EHCD_QHD , st_HC_ED
- MaxPacketSize : DMADescriptor
- MAXPOS : IP_QEI_001_T
- MaxProgramPageNum : K9F1G_ID_T
- MaxPSize : IP_USB_001_T
- MCFG : IP_ENET_002_MAC_T
- mci_dma_dd : sdif_device
- MCMD : IP_ENET_002_MAC_T
- MCR : IP_TIMER_001_T , IP_USART_001_T
- mday : RTC
- mdiv : CGU_USBAUDIO_PLL_SETUP_T
- mem_base : USBD_API_INIT_PARAM_T , USBD_MSC_INIT_PARAM_T , USBD_DFU_INIT_PARAM_T , USBD_HID_INIT_PARAM_T , USBD_CDC_INIT_PARAM_T
- mem_size : USBD_MSC_INIT_PARAM_T , USBD_API_INIT_PARAM_T , USBD_DFU_INIT_PARAM_T , USBD_HID_INIT_PARAM_T , USBD_CDC_INIT_PARAM_T
- MEMMAP : LPC_SYSCTL_T
- MemorySize : USBD_MSC_INIT_PARAM_T
- MessageLengthPosition : DMADescriptor
- mEvent : i2c_interface
- min : FATTime , RTC
- MIND : IP_ENET_002_MAC_T
- Minimum : HID_MinMax_t
- minor : FLASH_READ_BOOTCODE_VER_OUTPUT_T
- MINTSTS : IP_SDMMC_001_T
- MIS : IP_GPIO_003_T , IP_SSP_001_T
- MissedUframe : st_EHCD_SITD , PHCD_QTD
- MMCTRL : IP_I2C_001_T
- MOD : IP_WWDT_001_T , IP_CAN_001_T
- Mode : IP_SPI_CONFIG_T , DMADescriptor , IP_SDC_001_DATA_TRANSFER_T
- MODE : IP_CRC_001_T
- mode_id : CCAN_MSG_OBJ_T
- modefunc : PINMUX_GRP_T
- ModeRegister : IP_EMC_DYN_DEVICE_CONFIG_T
- MODULE_CONTROL : IP_ENET_002_T
- Module_ID : IP_USB_001_T
- MODULECONTENT : IP_SCT_001_T
- month : FATDate , RTC
- MPIN : IP_GPIO_001_T
- MR : IP_TIMER_001_T
- MRDD : IP_ENET_002_MAC_T
- MS_DataInEndpoint : USB_Descriptor_Configuration_t
- MS_DataOutEndpoint : USB_Descriptor_Configuration_t
- MS_Interface : USB_Descriptor_Configuration_t
- MS_Termination : USB_Descriptor_Configuration_t
- MSByteExtracted : DMADescriptor
- msc : USBD_API_T
- MSC_Ep0_Hdlr : USBD_MSC_INIT_PARAM_T
- MSC_GetWriteBuf : USBD_MSC_INIT_PARAM_T
- MSC_Read : USBD_MSC_INIT_PARAM_T
- MSC_Verify : USBD_MSC_INIT_PARAM_T
- MSC_Write : USBD_MSC_INIT_PARAM_T
- msdelay_func : SDMMC_CARD_T
- msgobj : CCAN_MSG_OBJ_T
- msgobj_rx : CCAN_CANOPENCFG_T
- msgobj_tx : CCAN_CANOPENCFG_T
- MsgPtr : OS_MSG
- MsgQ : OS_Q
- MsgSize : OS_MSG
- MsgTS : OS_MSG
- MSGV1 : IP_CCAN_001_T
- MSGV2 : IP_CCAN_001_T
- MSR : IP_CAN_001_CR_T , IP_USART_001_T
- Mult : st_EHCD_QHD
- MWTD : IP_ENET_002_MAC_T
- mXfer : i2c_interface
- MXMEMMAP : LPC_CREG_T